(defun c:bom ( / outfile selectset index counter e cellname location ename)
;
 (setq outfile (open (getstring "Filename for output: ") "w")
       selectset (ssget "w" (getvar "limmax") (getvar "limmin"))
       index (sslength selectset)
       counter 0)
 (while  (setq ename (ssname selectset counter))
    (if (= "INSERT" (cdr (assoc 0 (setq e (entget ename)))))
        (progn
           (setq cellname (cdr (assoc 2 e))
                 location (cdr (assoc 10 e)))
           (princ "\n" outfile)
           (princ cellname outfile)
           (princ " " outfile)
           (princ (car location) outfile)
           (princ " " outfile)
           (princ (last location) outfile)))
    (setq counter (+ counter 1)))
 (close outfile)
 (princ "DONE")
 (terpri))

